<?php
use MediaWiki\MediaWikiServices;
use Isekai\UserPoints\Service\IsekaiUserPointsFactory;
use Isekai\UserPoints\Service\IsekaiUserDailySignFactory;

return [
    'IsekaiUserPoints' => static function ( MediaWikiServices $services ) {
        return new IsekaiUserPointsFactory( $services );
    },
    'IsekaiUserDailySign' => static function ( MediaWikiServices $services ) {
        return new IsekaiUserDailySignFactory( $services );
    },
];