CREATE TABLE /*_*/isekai_user_points_log (
  `id` INT UNSIGNED NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `user_id` INT UNSIGNED NOT NULL,
  `point_type` VARCHAR(20) NOT NULL,
  `points` INT NOT NULL DEFAULT '0',
  `point_expire` DATE NULL,
  `service` VARCHAR(255) NOT NULL,
  `action` VARCHAR(255) NOT NULL,
  `timestamp` BIGINT UNSIGNED NOT NULL
) /*$wgDBTableOptions*/;
ALTER TABLE /*_*/isekai_user_points_log ADD INDEX(`user_id`, `point_type`);
ALTER TABLE /*_*/isekai_user_points_log ADD INDEX(`user_id`);
ALTER TABLE /*_*/isekai_user_points_log ADD INDEX(`service`);
ALTER TABLE /*_*/isekai_user_points_log ADD INDEX(`action`);
ALTER TABLE /*_*/isekai_user_points_log ADD INDEX(`timestamp`);