-- Create table for postgres
CREATE TABLE isekai_user_points (
  user_id INTEGER NOT NULL,
  type VARCHAR(20) NOT NULL,
  points INTEGER NOT NULL DEFAULT 0,
  timed_points_data TEXT NOT NULL,
  locked_points INTEGER NOT NULL DEFAULT 0,
  locked_points_data TEXT NOT NULL,
  next_refresh_time BIGINT NULL
);

ALTER TABLE isekai_user_points ADD PRIMARY KEY (user_id, type);
ALTER TABLE isekai_user_points ADD INDEX (user_id);
ALTER TABLE isekai_user_points ADD INDEX (type);
ALTER TABLE isekai_user_points ADD INDEX (points);
ALTER TABLE isekai_user_points ADD INDEX (timed_points_data);
ALTER TABLE isekai_user_points ADD INDEX (next_refresh_time);