CREATE TABLE isekai_user_points_log (
    id SERIAL PRIMARY KEY,
    user_id INT NOT NULL,
    point_type VARCHAR(20) NOT NULL,
    points INT NOT NULL DEFAULT 0,
    point_expire DATE NULL,
    service VARCHAR(255) NOT NULL,
    action VARCHAR(255) NOT NULL,
    timestamp BIGINT NOT NULL
);
ALTER TABLE isekai_user_points_log ADD INDEX(user_id, point_type);
ALTER TABLE isekai_user_points_log ADD INDEX(user_id);
ALTER TABLE isekai_user_points_log ADD INDEX(service);
ALTER TABLE isekai_user_points_log ADD INDEX(action);
ALTER TABLE isekai_user_points_log ADD INDEX(timestamp);